diff --git a/drupal7/sites/all/modules/date/tests/date_timezone.test b/drupal7/sites/all/modules/date/tests/DateTimezoneTestCase.test
similarity index 84%
rename from drupal7/sites/all/modules/date/tests/date_timezone.test
rename to drupal7/sites/all/modules/date/tests/DateTimezoneTestCase.test
index 9f2905a2..7034389d 100644
--- a/drupal7/sites/all/modules/date/tests/date_timezone.test
+++ b/drupal7/sites/all/modules/date/tests/DateTimezoneTestCase.test
@@ -1,9 +1,14 @@
 <?php
+
 /**
  * @file
- * Timezone tests.
+ * Test timezone handling.
+ */
+
+/**
+ * Test timezone handling.
  */
-class DateTimezoneTestCase extends DateFieldBasic {
+class DateTimezoneTestCase extends DateFieldTestBase {
 
   /**
    * @todo.
@@ -16,8 +21,12 @@ class DateTimezoneTestCase extends DateFieldBasic {
     );
   }
 
-  public function setUp() {
-    parent::setUp();
+  /**
+   * {@inheritdoc}
+   */
+  public function setUp(array $modules = array()) {
+    parent::setUp($modules);
+
     // Set the timezone explicitly. Otherwise the site's default timezone is
     // used, which defaults to the server timezone when installing Drupal. This
     // depends on the environment and is therefore uncertain.
@@ -53,13 +62,35 @@ class DateTimezoneTestCase extends DateFieldBasic {
             'granularity' => $granularity,
           );
           $this->createDateField($options);
-          $this->dateForm($field_name, $field_type, $max_granularity, $tz_handling);
+          $this->buildDateForm($field_name, $field_type, $max_granularity, $tz_handling);
           $this->deleteDateField($label);
         }
       }
     }
   }
 
+  /**
+   * Test timezone handling validation on the field settings form.
+  */
+  public function testFieldWidgetSettings() {
+    $label = 'Test';
+    $options = array(
+      'label' => $label,
+      'field_type' => 'date',
+      'widget_type' => 'date_select',
+      'granularity' => array('year', 'month', 'day'),
+    );
+    $this->createDateField($options);
+    $this->drupalGet('admin/structure/types/manage/story/fields/field_' . strtolower($label));
+    $this->assertResponse(200);
+    $edit = array(
+      'field[settings][granularity][hour]' => FALSE,
+    );
+    $this->drupalPost('admin/structure/types/manage/story/fields/field_' . strtolower($label), $edit, t('Save settings'));
+    $this->assertText("Dates without hours granularity must not use any timezone handling.", "Dates without hours granularity required to use timezone handling of 'none.'");
+    $this->deleteDateField($label);
+  }
+
   /**
    * Validates timezone handling with a multi-value date field.
    */
@@ -70,7 +101,7 @@ class DateTimezoneTestCase extends DateFieldBasic {
     $tz_handling = 'date';
     $max_granularity = 'minute';
 
-    // Create date field
+    // Create date field.
     $field_name = "field_test";
     $label = 'Test';
     $options = array(
@@ -85,16 +116,14 @@ class DateTimezoneTestCase extends DateFieldBasic {
     );
     $this->createMultiDateField($options);
 
-    // Submit a date field form with multiple values
+    // Submit a date field form with multiple values.
     $this->dateMultiValueForm($field_name, $field_type, $max_granularity, $tz_handling);
 
-
     $this->deleteDateField($label);
   }
 
   /**
-   * Tests the submission of a date field's widget form when using unlimited
-   * cardinality
+   * Tests the submission of a date field's widget with unlimited cardinality.
    */
   public function dateMultiValueForm($field_name, $field_type, $max_granularity, $tz_handling) {
     variable_set('date_format_long', 'D, m/d/Y - H:i:s T');
@@ -119,6 +148,7 @@ class DateTimezoneTestCase extends DateFieldBasic {
         $should_be[2] = 'Thu, 10/07/2010 - 10 EDT';
 
         break;
+
       case 'minute':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010 - 10:30';
         $edit[$field_name . '[und][0][timezone][timezone]'] = 'America/Chicago';
@@ -133,6 +163,7 @@ class DateTimezoneTestCase extends DateFieldBasic {
         $should_be[2] = 'Thu, 10/07/2010 - 10:30 EDT';
 
         break;
+
       case 'second':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010 - 10:30';
         $edit[$field_name . '[und][0][timezone][timezone]'] = 'America/Chicago';
@@ -166,9 +197,9 @@ class DateTimezoneTestCase extends DateFieldBasic {
   }
 
   /**
-   * @todo.
+   * Replacement for dateForm().
    */
-  public function dateForm($field_name, $field_type, $max_granularity, $tz_handling) {
+  public function buildDateForm($field_name, $field_type, $max_granularity, $tz_handling) {
     variable_set('date_format_long', 'D, m/d/Y - H:i:s');
     $edit = array();
     $edit['title'] = $this->randomName(8);
@@ -179,16 +210,19 @@ class DateTimezoneTestCase extends DateFieldBasic {
         $edit[$field_name . '[und][0][value2][date]'] = '2011';
         $should_be = '2010 to 2011';
         break;
+
       case 'month':
         $edit[$field_name . '[und][0][value][date]'] = '07/2010';
         $edit[$field_name . '[und][0][value2][date]'] = '08/2010';
         $should_be = '07/2010 to 08/2010';
         break;
+
       case 'day':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010';
         $edit[$field_name . '[und][0][value2][date]'] = '10/08/2010';
         $should_be = 'Thu, 10/07/2010 to Fri, 10/08/2010';
         break;
+
       case 'hour':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010 - 10';
         $edit[$field_name . '[und][0][value2][date]'] = '10/07/2010 - 11';
@@ -199,6 +233,7 @@ class DateTimezoneTestCase extends DateFieldBasic {
           $should_be = 'Thu, 10/07/2010 - 10 to Thu, 10/07/2010 - 11';
         }
         break;
+
       case 'minute':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010 - 10:30';
         $edit[$field_name . '[und][0][value2][date]'] = '10/07/2010 - 11:30';
@@ -209,6 +244,7 @@ class DateTimezoneTestCase extends DateFieldBasic {
           $should_be = 'Thu, 10/07/2010 - 10:30 to 11:30';
         }
         break;
+
       case 'second':
         $edit[$field_name . '[und][0][value][date]'] = '10/07/2010 - 10:30:30';
         $edit[$field_name . '[und][0][value2][date]'] = '10/07/2010 - 11:30:30';
@@ -224,4 +260,5 @@ class DateTimezoneTestCase extends DateFieldBasic {
     $this->assertText($edit['title'], "Node has been created");
     $this->assertText($should_be, "Found the correct date for a $field_type field using $max_granularity granularity with $tz_handling timezone handling.");
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/tests/date.test b/drupal7/sites/all/modules/date/tests/DateUiTestCase.test
similarity index 58%
rename from drupal7/sites/all/modules/date/tests/date.test
rename to drupal7/sites/all/modules/date/tests/DateUiTestCase.test
index 04b06447..d35d3b83 100644
--- a/drupal7/sites/all/modules/date/tests/date.test
+++ b/drupal7/sites/all/modules/date/tests/DateUiTestCase.test
@@ -4,8 +4,10 @@
  * @file
  * Test date UI.
  */
-
-class DateUITestCase extends DateFieldBasic {
+/**
+ *
+ */
+class DateUiTestCase extends DateFieldTestBase {
 
   /**
    * @todo.
@@ -21,8 +23,8 @@ class DateUITestCase extends DateFieldBasic {
   /**
    * @todo.
    */
-  public function setUp() {
-    parent::setUp();
+  public function setUp(array $modules = array()) {
+    parent::setUp($modules);
 
     variable_set('date_format_long', 'D, m/d/Y - H:i');
   }
@@ -34,58 +36,50 @@ class DateUITestCase extends DateFieldBasic {
     $label = 'Test';
     $current_year = date('Y');
 
-    $field_types = array('date', 'datestamp', 'datetime');
-    $widget_types = array('date_select', 'date_text', 'date_popup');
-
     // Test widgets with default settings using every widget and field type.
-    foreach ($field_types as $field_type) {
-      foreach ($widget_types as $widget_type) {
+    foreach (array('date', 'datestamp', 'datetime') as $field_type) {
+      // @todo Add back 'date_popup'.
+      foreach (array('date_select', 'date_text') as $widget_type) {
         $this->createDateField(
-            array(
-              'label' => $label,
-              'field_type' => $field_type,
-              'widget_type' => $widget_type,
-            )
+          array(
+            'label' => $label,
+            'field_type' => $field_type,
+            'widget_type' => $widget_type,
+          )
         );
-        $this->dateForm($widget_type);
+        $this->dateForm('blah', 'blah', $widget_type);
         $this->assertText(format_string('10/07/!year - 10:30', array('!year' => $current_year)), 'Found the correct date for a date field using the ' . $widget_type . ' widget.');
         $this->deleteDateField($label);
       }
     }
-
-    // Test timezone handling validation on the field settings form.
-    $this->createDateField(array('label' => $label, 'field_type' => 'date', 'widget_type' => 'date_select', 'granularity' => array('year', 'month', 'day')));
-    $edit = array('field[settings][granularity][hour]' => FALSE);
-    $this->drupalPost('admin/structure/types/manage/story/fields/field_' . strtolower($label), $edit, t('Save settings'));
-    $this->assertText("Dates without hours granularity must not use any timezone handling.", "Dates without hours granularity required to use timezone handling of 'none.'");
-    $this->deleteDateField($label);
   }
 
   /**
-   * @todo.
+   * {@inheritdoc}
    */
-  function dateForm($options) {
+  function dateForm($field_name, $field_type, $widget_type, $todate = TRUE) {
     // Tests that date field functions properly.
     $edit = array();
     $edit['title'] = $this->randomName(8);
     $edit['body[und][0][value]'] = $this->randomName(16);
     $current_year = date('Y');
 
-    if ($options == 'date_select') {
+    if ($widget_type == 'date_select') {
       $edit['field_test[und][0][value][year]'] = $current_year;
       $edit['field_test[und][0][value][month]'] = '10';
       $edit['field_test[und][0][value][day]'] = '7';
       $edit['field_test[und][0][value][hour]'] = '10';
       $edit['field_test[und][0][value][minute]'] = '30';
     }
-    elseif ($options == 'date_text') {
+    elseif ($widget_type == 'date_text') {
       $edit['field_test[und][0][value][date]'] = format_string('10/07/!year - 10:30', array('!year' => $current_year));
     }
-    elseif ($options == 'date_popup') {
+    elseif ($widget_type == 'date_popup') {
       $edit['field_test[und][0][value][date]'] = format_string('10/07/!year', array('!year' => $current_year));
       $edit['field_test[und][0][value][time]'] = '10:30';
     }
     $this->drupalPost('node/add/story', $edit, t('Save'));
     $this->assertText($edit['body[und][0][value]'], 'Test node has been created');
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/tests/date_validation.test b/drupal7/sites/all/modules/date/tests/DateValidationTestCase.test
similarity index 84%
rename from drupal7/sites/all/modules/date/tests/date_validation.test
rename to drupal7/sites/all/modules/date/tests/DateValidationTestCase.test
index a32ff805..d276b07f 100644
--- a/drupal7/sites/all/modules/date/tests/date_validation.test
+++ b/drupal7/sites/all/modules/date/tests/DateValidationTestCase.test
@@ -1,9 +1,14 @@
 <?php
+
 /**
  * @file
- * Date validation tests.
+ * Validate date field values.
+ */
+
+/**
+ * Validate date field values.
  */
-class DateValidationTestCase extends DateFieldBasic {
+class DateValidationTestCase extends DateFieldTestBase {
 
   /**
    * @todo.
@@ -23,27 +28,38 @@ class DateValidationTestCase extends DateFieldBasic {
     // Attempts to create text date field stored as a date with default settings
     // (from input which is not valid).
     foreach (array('date', 'datestamp', 'datetime') as $field_type) {
-      foreach (array('date_select', 'date_popup', 'date_text') as $widget_type) {
-        $field_name = 'field_test';
-        $label = 'Test';
-        $options = array(
-          'label' => $label,
-          'field_name' => $field_name,
-          'field_type' => $field_type,
-          'widget_type' => $widget_type,
-          'input_format' => 'm/d/Y - H:i',
-        );
-        $this->createDateField($options);
+      foreach (array('date_select', 'date_text') as $widget_type) {
+        $this->checkDateField($field_type, $widget_type, TRUE);
+        return;
+      }
+    }
+  }
+
+  /**
+   * {@inheritdoc}
+   */
+  protected function checkDateField($field_type, $widget_type, $delete_when_done = TRUE) {
+    $field_name = 'field_test';
+    $label = 'Test';
+    $options = array(
+      'label' => $label,
+      'field_name' => $field_name,
+      'field_type' => $field_type,
+      'widget_type' => $widget_type,
+      'input_format' => 'm/d/Y - H:i',
+    );
+    $this->createDateField($options);
+
+    // Malformed date test won't work on date_select, which won't allow
+    // invalid input.
+    if ($widget_type != 'date_select') {
+      $this->malFormedDate($field_name, $field_type, $widget_type);
+    }
 
-        // Malformed date test won't work on date_select, which won't allow
-        // invalid input.
-        if ($widget_type != 'date_select') {
-          $this->malFormedDate($field_name, $field_type, $widget_type);
-        }
+    $this->wrongGranularity($field_name, $field_type, $widget_type);
 
-        $this->wrongGranularity($field_name, $field_type, $widget_type);
-        $this->deleteDateField($label);
-      }
+    if ($delete_when_done) {
+      $this->deleteDateField($label);
     }
   }
 
@@ -118,7 +134,6 @@ class DateValidationTestCase extends DateFieldBasic {
     $this->assertText($should_be, "Correctly blocked invalid hour for a $field_type field using the $widget_type widget.");
     $should_be = 'The minute is invalid.';
     $this->assertText($should_be, "Correctly blocked invalid minute for a $field_type field using the $widget_type widget.");
-
   }
 
   /**
@@ -148,4 +163,5 @@ class DateValidationTestCase extends DateFieldBasic {
     $this->assertNoText($should_not_be, "Correctly blocked creation of node with missing time for a $field_type field using the $widget_type widget.");
     $this->assertText('invalid', "Marked form with missing time as invalid for a $field_type field using the $widget_type widget.");
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.info b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.info
new file mode 100644
index 00000000..ba868b1e
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.info
@@ -0,0 +1,22 @@
+name = Date Migration Test Helper
+description = "Helper for the Date module's Migrate API integration."
+package = Date/Time
+version = VERSION
+core = 7.x
+hidden = TRUE
+
+; Load the Date module's test feature so there are some default data structures
+; to work with.
+dependencies[] = date:date_test_feature
+
+; Load the Migrate API system.
+dependencies[] = migrate:migrate
+
+; Load the custom Migrate API class.
+files[] = date_migrate_test.migrate.inc
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
+core = "7.x"
+project = "date"
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.install b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.install
new file mode 100644
index 00000000..d52d07b7
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.install
@@ -0,0 +1,13 @@
+<?php
+
+/**
+ * @file
+ * Install, update and uninstall functions for the Date Migrate Test module.
+ */
+
+/**
+ * Implements hook_disable().
+ */
+function date_migrate_test_disable() {
+  Migration::deregisterMigration('DateExample');
+}
diff --git a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.migrate.inc b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.migrate.inc
similarity index 95%
rename from drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.migrate.inc
rename to drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.migrate.inc
index 216e1c54..c91437ce 100644
--- a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.migrate.inc
+++ b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.migrate.inc
@@ -44,13 +44,13 @@ class DateExampleMigration extends XMLMigration {
     );
 
     // Our test data is in an XML file.
-    $xml_folder = drupal_get_path('module', 'date_migrate_example');
-    $items_url = $xml_folder . '/date_migrate_example.xml';
+    $xml_folder = drupal_get_path('module', 'date_migrate_test');
+    $items_url = $xml_folder . '/example_data.xml';
     $item_xpath = '/source_data/item';
     $item_id_xpath = 'id';
     $items_class = new MigrateItemsXML($items_url, $item_xpath, $item_id_xpath);
     $this->source = new MigrateSourceMultiItems($items_class, $fields);
-    $this->destination = new MigrateDestinationNode('date_migrate_example');
+    $this->destination = new MigrateDestinationNode('date_test_feature');
 
     // Basic fields.
     $this->addFieldMapping('title', 'title')
@@ -128,4 +128,5 @@ class DateExampleMigration extends XMLMigration {
     $current_row->date_repeat_rrule
       = (string) $current_row->xml->date_repeat->rule[0];
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.module
similarity index 58%
rename from drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module
rename to drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.module
index 2ed7a61e..d5a5e7a6 100644
--- a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module
+++ b/drupal7/sites/all/modules/date/tests/date_migrate_test/date_migrate_test.module
@@ -2,19 +2,17 @@
 
 /**
  * @file
- * Migration integration for Date Migrate Example.
+ * Primary hook implementations for the Date Migrate Test module.
  */
 
-include_once 'date_migrate_example.features.inc';
-
 /**
  * Implements hook_migrate_api().
  */
-function date_migrate_example_migrate_api() {
+function date_migrate_test_migrate_api() {
   $api = array(
     'api' => 2,
     'migrations' => array(
-      'DateExample' => array('class_name' => 'DateExampleMigration')
+      'DateExample' => array('class_name' => 'DateExampleMigration'),
     ),
   );
   return $api;
diff --git a/drupal7/sites/all/modules/date/tests/date_test/date_test.info b/drupal7/sites/all/modules/date/tests/date_test/date_test.info
index 2f265fa7..e92d43d6 100644
--- a/drupal7/sites/all/modules/date/tests/date_test/date_test.info
+++ b/drupal7/sites/all/modules/date/tests/date_test/date_test.info
@@ -4,11 +4,10 @@ package = Date/Time
 version = VERSION
 core = 7.x
 hidden = TRUE
-dependencies[] = date
+dependencies[] = date:date
 
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/tests/date_test/date_test.module b/drupal7/sites/all/modules/date/tests/date_test/date_test.module
index 18540891..72842b5b 100644
--- a/drupal7/sites/all/modules/date/tests/date_test/date_test.module
+++ b/drupal7/sites/all/modules/date/tests/date_test/date_test.module
@@ -32,7 +32,7 @@ function date_test_sample_form($form, &$form_state) {
       'hour' => 7,
       'minute' => 0,
       'second' => 0,
-      'ampm' => 'am'
+      'ampm' => 'am',
     ),
   );
 
diff --git a/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_base.inc b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_base.inc
new file mode 100644
index 00000000..f78e11ef
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_base.inc
@@ -0,0 +1,271 @@
+<?php
+
+/**
+ * @file
+ * date_test_feature.features.field_base.inc
+ */
+
+/**
+ * Implements hook_field_default_field_bases().
+ */
+function date_test_feature_field_default_field_bases() {
+  $field_bases = array();
+
+  // Exported field_base: 'body'.
+  $field_bases['body'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(
+      0 => 'node',
+    ),
+    'field_name' => 'body',
+    'indexes' => array(
+      'format' => array(
+        0 => 'format',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'text',
+    'settings' => array(),
+    'translatable' => 1,
+    'type' => 'text_with_summary',
+  );
+
+  // Exported field_base: 'field_date'.
+  $field_bases['field_date'] = array(
+    'active' => 1,
+    'cardinality' => -1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_date',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+      ),
+      'value2' => array(
+        0 => 'value2',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'cache_count' => 4,
+      'cache_enabled' => 0,
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'second' => 0,
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => 'optional',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 0,
+    'type' => 'datetime',
+  );
+
+  // Exported field_base: 'field_date_range'.
+  $field_bases['field_date_range'] = array(
+    'active' => 1,
+    'cardinality' => -1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_date_range',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+        1 => 'value2',
+      ),
+      'value2' => array(
+        0 => 'value2',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => 'required',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'date',
+  );
+
+  // Exported field_base: 'field_date_repeat'.
+  $field_bases['field_date_repeat'] = array(
+    'active' => 1,
+    'cardinality' => -1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_date_repeat',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 1,
+      'timezone_db' => 'UTC',
+      'todate' => '',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'date',
+  );
+
+  // Exported field_base: 'field_datestamp'.
+  $field_bases['field_datestamp'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_datestamp',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => '',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'datestamp',
+  );
+
+  // Exported field_base: 'field_datestamp_range'.
+  $field_bases['field_datestamp_range'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_datestamp_range',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+        1 => 'value2',
+      ),
+      'value2' => array(
+        0 => 'value2',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => 'optional',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'datestamp',
+  );
+
+  // Exported field_base: 'field_datetime'.
+  $field_bases['field_datetime'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_datetime',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => '',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'datetime',
+  );
+
+  // Exported field_base: 'field_datetime_range'.
+  $field_bases['field_datetime_range'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_datetime_range',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+        1 => 'value2',
+      ),
+      'value2' => array(
+        0 => 'value2',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => 'UTC',
+      'todate' => 'required',
+      'tz_handling' => 'site',
+    ),
+    'translatable' => 1,
+    'type' => 'datetime',
+  );
+
+  return $field_bases;
+}
